#include "exception.h"

#include <sstream>
using namespace aka2;

parse_exception::parse_exception(const char *file, 
				 const unsigned long line, 
				 const std::string &msg) {
  std::ostringstream ostm;
  ostm << msg << '(' << file << ':' << line << ')';
  msg_ = ostm.rdbuf()->str();
}


parse_exception::~parse_exception() throw() {
}

const char *parse_exception::what() const throw() {
  return msg_.c_str();
}
